/*
 * This file is part of the Nice GLib ICE library.
 *
 * (C) 2006-2009 Collabora Ltd.
 *  Contact: Youness Alaoui
 * (C) 2006-2009 Nokia Corporation. All rights reserved.
 *  Contact: Kai Vehmanen
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Nice GLib ICE library.
 *
 * The Initial Developers of the Original Code are Collabora Ltd and Nokia
 * Corporation. All Rights Reserved.
 *
 * Contributors:
 *   Dafydd Harries, Collabora Ltd.
 *   Youness Alaoui, Collabora Ltd.
 *
 * Alternatively, the contents of this file may be used under the terms of the
 * the GNU Lesser General Public License Version 2.1 (the "LGPL"), in which
 * case the provisions of LGPL are applicable instead of those above. If you
 * wish to allow use of your version of this file only under the terms of the
 * LGPL and not to allow others to use your version of this file under the
 * MPL, indicate your decision by deleting the provisions above and replace
 * them with the notice and other provisions required by the LGPL. If you do
 * not delete the provisions above, a recipient may use your version of this
 * file under either the MPL or the LGPL.
 */

#ifndef _NICE_H
#define _NICE_H

#include "nice-version.h"

/**
 * NICE_CHECK_VERSION:
 * @major: The major numbe of the version
 * @minor: The major numbe of the version
 * @micro: The major numbe of the version
 *
 * Macro that returns TRUE if the version if libnice that you are compiling
 * against is greater or equal to the argument
 *
 * Since: 0.1.20
 */

#define NICE_CHECK_VERSION(major, minor, micro)                         \
    (NICE_VERSION_MAJOR > (major) ||                                    \
     (NICE_VERSION_MAJOR == (major) && NICE_VERSION_MINOR > (minor)) || \
     (NICE_VERSION_MAJOR == (major) && NICE_VERSION_MINOR == (minor) && \
      NICE_VERSION_MICRO >= (micro)))

#include "agent.h"
#include "interfaces.h"

#endif /* _NICE_H */

